Package org.kie.api.runtime.conf

## Class TimedRuleExecutionOption

- java.lang.Object
- - org.kie.api.runtime.conf.TimedRuleExecutionOption

- All Implemented Interfaces:
    `Serializable`, `Option`, `KieSessionOption`, `SingleValueKieSessionOption`
  Direct Known Subclasses:
    `TimedRuleExecutionOption.FILTERED`

      public class TimedRuleExecutionOption
      extends Object
      implements SingleValueKieSessionOption

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TimedRuleExecutionOption.FILTERED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static TimedRuleExecutionOption` | `NO` |
    `static String` | `PROPERTY_NAME` |
    `static TimedRuleExecutionOption` | `YES` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TimedRuleExecutionFilter` | `getFilter()` |
    `String` | `getPropertyName()` |
    `static TimedRuleExecutionOption` | `resolve​(String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### YES

          public static final TimedRuleExecutionOption YES

    - #### NO

          public static final TimedRuleExecutionOption NO

  - ### Method Detail

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Option`
      Returns:
        the property name for this option

    - #### getFilter

          public TimedRuleExecutionFilter getFilter()

    - #### resolve

          public static TimedRuleExecutionOption resolve​(String value)